;Simple script showing how to display a watermark in the background of each page. 

Procedure RotatedText(x.f,y.f,Text$,angle.f)
  ;Text rotated around its origin
  pdf_Rotate(angle,x,y)
  pdf_Text(x,y,Text$)
  pdf_Rotate(0)
EndProcedure

Procedure Header()
  ;Put watermark
  pdf_SetFont("Arial","B",50)
  pdf_SetTextColor(255,192,203)
  RotatedText(30,190,"W a t e r m a r k  d e m o",45)
EndProcedure

pdf_Create()
pdf_SetProcHeader(@Header())
pdf_AddPage()
pdf_SetFont("Arial","",12)
Txt$="PureBasic is a programming language based on established BASIC rules. The key features of PureBasic are portability "
Txt$ = Txt$ + "(Windows, AmigaOS and Linux are currently fully supported), the production of very fast and highly optimized executables "
Txt$ = Txt$ + "and, of course, the very simple BASIC syntax. PureBasic has been created for the beginner and expert alike. We have put "
Txt$ = Txt$ + "a lot of effort into its realization to produce a fast, reliable and system friendly language."

For i = 1 To 25 
  pdf_Write(5,Txt$) 
Next 
 
pdf_Save("watermark.pdf") 

; IDE Options = PureBasic v3.94 (Windows - x86)