;Rotating Text and Images
Procedure RotatedText(x.w, y.w, txt.s, angle.w) 
  ; Text rotated around its origin
  pdf_Rotate(angle, x , y) 
  pdf_Text(x, y, txt) 
  pdf_Rotate(0) 
EndProcedure

Procedure RotatedImage(file.s, x.w, y.w, w.w, h.w, angle.w) 
  ;Image rotated around its upper-left corner
  pdf_Rotate(angle, x, y) 
  pdf_Image(file, x, y, w, h) 
  pdf_Rotate(0) 
EndProcedure 

pdf_Create()
pdf_AddPage()
pdf_SetFont("Arial","",20)
RotatedImage("PureBasicLogo.png",85,60,40,16,45)
RotatedText(100,60,"Hello!",90) 
pdf_Save("Tutorial09.pdf") 

  

; IDE Options = PureBasic v3.94 (Windows - x86)
; CursorPosition = 19
; Folding = -