;######################################### 
;Example with compression and protection # 
;######################################### 
;by schic

txt$="01234456789 01234456789 01234456789 01234456789 01234456789 01234456789 01234456789 " 
;pdf_protection() 

  ; Info from PDFReference for permissions bit setting 
  ;   12 Reserved; must be 0. 
  ;   3 (Revision 2) Print the document. 
  ;     (Revision 3) Print the document (possibly not at the highest quality 
  ;     level, depending on whether bit 12 is also set). 
  ;   4 Modify the contents of the document by operations other than 
  ;     those controlled by bits 6, 9, and 11. 
  ;   5 (Revision 2) Copy or otherwise extract text and graphics from the 
  ;     document, including extracting text and graphics (in support of accessibility 
  ;     to disabled users or for other purposes). 
  ;     (Revision 3) Copy or otherwise extract text and graphics from the 
  ;     document by operations other than that controlled by bit 10. 
  ;   6 Add or modify text annotations, fill in interactive form fields, and, 
  ;     if bit 4 is also set, create or modify interactive form fields (including 
  ;     signature fields). 
  ;   78 Reserved; must be 1. 
  ;   9 (Revision 3 only) Fill in existing interactive form fields (including 
  ;     signature fields), even if bit 6 is clear. 
  ;   10 (Revision 3 only) Extract text and graphics (in support of accessibility 
  ;     to disabled users or for other purposes). 
  ;   11 (Revision 3 only) Assemble the document (insert, rotate, or delete 
  ;     pages and create bookmarks or thumbnail images), even if bit 4 is 
  ;     clear. 
  ;   12 (Revision 3 only) Print the document to a representation from 
  ;     which a faithful digital copy of the PDF content could be generated. 
  ;     When this bit is clear (and bit 3 is set), printing is limited to a lowlevel 
  ;     representation of the appearance, possibly of degraded quality. 
  ;     (See implementation note 20 in Appendix H.) 
  ;   1332 (Revision 3 only) Reserved; must be 1. 
  
  ;Bit No     21 987654321 987654321 987654321 
permission.l=%11111111111111111111000011000000 

pdf_SetProtection(permission,"aaa","") 
pdf_Create("P","mm",#PDF_PAGE_FORMAT_A4) 

pdf_AddPage() 
pdf_SetFont("Arial","",12) 
For i = 1 To 80 
  pdf_Cell(40,10,txt$) 
  pdf_Ln() 
Next 
pdf_Save("Tutorial19.pdf") 

; IDE Options = PureBasic v3.94 (Windows - x86)
; CursorPosition = 6
; FirstLine = 6
; Folding = -