; This script implements EAN13 And UPC-A barcodes (the second being a particular Case of the first one). Bars are drawn directly in the PDF (no image is generated).
; 
; EAN13(float x, float y, string barcode [, float h [, float w]])
; 
; x: abscissa of barcode.
; y: ordinate of barcode.
; barcode: value of barcode.
; h: height of barcode. Default value: 16.
; w: width of a bar. Default value: 0.35.
; 
; UPC_A(float x, float y, string barcode [, float h [, float w]])
; 
; Same parameters.
; 
; An EAN13 barcode is made up of 13 digits, UPC-A of 12 (leading zeroes are added If necessary). The last digit is a check digit; if it's not supplied, it will be automatically computed.

pdf_Create()
pdf_AddPage();
pdf_EAN13(80,40,"123456789012")
pdf_UPC_A(80,80,"012345678901")

pdf_Save("Tutorial20.pdf")
; IDE Options = PureBasic v3.94 (Windows - x86)
; CursorPosition = 18
; Folding = -